#preloader-screen {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at center, #1f1451 10%, #101522 100%);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: opacity 1s ease;
    z-index: 1;

    /* важливо для iOS Safari */
    min-width: -webkit-fill-available;
    min-height: -webkit-fill-available;
}

#preloader-screen.fade-out {
    opacity: 0;
    pointer-events: none;
    transition: opacity 1s ease;
}

.sound-permission-ui {
    position: fixed;
    inset: 0;
    z-index: 999999;
    display: none;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 200ms ease;
}

.sound-question {
    position: absolute;
    left: 0;
    right: 0;
    display: grid;
    justify-items: center;
    opacity: 1;
}

.sound-title {
    font-family: var(--main-font);
    font-weight: 500;
    font-size: clamp(18px, 2.2vh, 26px);
    letter-spacing: 0.02em;
    color: rgba(255, 255, 255, 0.7);
    text-align: center;
    position: relative;
}

.sound-title::after {
    content: "";
    display: block;
    height: 1px;
    margin: 10px auto 0;
    background: linear-gradient(90deg, rgba(147, 154, 187, 0.00) 0%, #939ABB 47.5%, rgba(147, 154, 187, 0.00) 97.81%);
}

/* buttons */
.sound-actions {
    display: flex;
    gap: clamp(14px, 3vw, 20px);
}

.sound-btn {
    width: auto;
    height: clamp(32px, 5.4vh, 50px);
    aspect-ratio: 2.5 / 1;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 9999px;
    border: 1.5px solid #9095B0;
    background: radial-gradient(50% 50% at 50% 50%,
    #595181 20%, #0f0735 100%);

    box-shadow: inset 0 2px 2px -2px rgba(255, 255, 255, .95),
    inset 0 -2px 2px -2px rgba(255, 255, 255, .95),
    inset 0 -2px 8px -2px rgba(0, 0, 0, .65),
    0 2px 2px rgba(0, 0, 0, .5);

    padding: 0;
    outline: none;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;

    position: relative;
}
.sound-btn:active {
    transform: scale(0.98);
}

.sound-actions .sound-btn {
    font-family: var(--extra-font);
    font-weight: 800;
    font-size: clamp(16px, 2.6vh, 26px);
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: #ffffff;
    text-shadow: 0 2px 0 rgba(0, 0, 0, 0.35),
    0 6px 12px rgba(0, 0, 0, 0.45);
    line-height: 1;
}

@media (orientation: portrait) {
    .sound-question {
        bottom: calc(env(safe-area-inset-bottom) + 8vh);
        gap: 16px;
    }

    .sound-title {
        line-height: 1.3;
    }

    .sound-title::after {
        width: 70vw;
    }

    .sound-btn {
        height: clamp(32px, 5.4vh, 50px);
    }
}

@media (orientation: landscape) {
    .sound-question {
        bottom: calc(env(safe-area-inset-bottom) + 4vh);
        gap: 10px;
    }

    .sound-title {
        line-height: 1;
    }

    .sound-title::after {
        width: 30vw;
    }

    .sound-btn {
        height: clamp(42px, 5.4vh, 50px);
    }
}